Skip to content

Update one plan family.

PUT
/api/workspace/entitlement-operations/models/{modelType}/{modelId}/plan-families/{planFamilyId}
curl --request PUT \
--url https://example.com/api/workspace/entitlement-operations/models/example/example/plan-families/example \
--header 'Content-Type: application/json' \
--data '{ "Key": "example", "DisplayName": "example", "Description": "example", "SortOrder": 1, "IsActive": true, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
  • None
modelType
required
string
modelId
required
string
planFamilyId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Update a plan family.

object
Key

Optional stable family key. The server generates one when omitted.

string
nullable
DisplayName
required

Family display name.

string
Description

Optional family description.

string
nullable
SortOrder

Display order.

integer format: int32
IsActive

Whether this family can be assigned to plans.

boolean
RowVersion
required

Required concurrency token from the current family.

string format: uuid
Examplegenerated
{
"Key": "example",
"DisplayName": "example",
"Description": "example",
"SortOrder": 1,
"IsActive": true,
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Plan family detail.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
PlanCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}